## org.eclipse.emf.compare.ui.viewer.content.part.property
Class PropertyContentProvider

    java.lang.Object
      org.eclipse.emf.compare.ui.viewer.content.part.property.PropertyContentProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.IContentProvider, org.eclipse.jface.viewers.IStructuredContentProvider

    public class PropertyContentProvider

extends java.lang.Object
implements org.eclipse.jface.viewers.IStructuredContentProvider

Content provider used by `ModelContentMergePropertiesPart`s displaying `Match2Elements`.

Constructor Summary
`PropertyContentProvider()`

Method Summary
`void` `dispose()`
`java.lang.Object[]` `getElements(java.lang.Object inputElement)`
`org.eclipse.emf.ecore.EObject` `getInputEObject()` Returns the EObject which properties are currently displayed in the properties tab.
`void` `inputChanged(org.eclipse.jface.viewers.Viewer viewer, java.lang.Object oldInput, java.lang.Object newInput)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyContentProvider

    public PropertyContentProvider()

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.viewers.IContentProvider`
  See Also:
    `IContentProvider.dispose()`

### getElements

    public java.lang.Object[] getElements(java.lang.Object inputElement)

  Specified by:
    `getElements` in interface `org.eclipse.jface.viewers.IStructuredContentProvider`
  See Also:
    `IStructuredContentProvider.getElements(Object)`

### getInputEObject

    public org.eclipse.emf.ecore.EObject getInputEObject()

  Returns the EObject which properties are currently displayed in the properties tab.

  Returns:
    The EObject which properties are currently displayed in the properties tab.

### inputChanged

    public void inputChanged(org.eclipse.jface.viewers.Viewer viewer,
                             java.lang.Object oldInput,
                             java.lang.Object newInput)

  Specified by:
    `inputChanged` in interface `org.eclipse.jface.viewers.IContentProvider`
  See Also:
    `IContentProvider.inputChanged(Viewer, Object, Object)`

Copyright 2006 IBM Corporation and others. All Rights Reserved.